Bug 1078315 - Review Request: python-pyramid-mako - Mako template bindings for the Pyramid web framework
Summary: Review Request: python-pyramid-mako - Mako template bindings for the Pyramid ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1078327 1078336
TreeView+ depends on / blocked
 
Reported: 2014-03-19 15:18 UTC by Ralph Bean
Modified: 2014-10-13 23:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 17:05:30 UTC
kumarpraveen.nitdgp: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-03-19 15:18:18 UTC
Spec URL: http://ralph.fedorapeople.org//python-pyramid-mako.spec
SRPM URL: http://ralph.fedorapeople.org//python-pyramid-mako-1.0a2-1.fc20.src.rpm

Description:
These are bindings for the Mako templating system for the Pyramid web
framework.

Comment 1 Ralph Bean 2014-03-19 15:18:24 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6651570

Comment 2 Praveen Kumar 2014-03-20 04:10:14 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/prkumar/rpmbuild/1078315-python-pyramid-
     mako/licensecheck.txt

[prkumar@dhcp201-104 pyramid_mako-1.0a2]$ licensecheck LICENSE.txt 
LICENSE.txt: *No copyright* UNKNOWN
[prkumar@dhcp201-104 pyramid_mako-1.0a2]$ licensecheck COPYRIGHT.txt 
COPYRIGHT.txt: UNKNOWN

As per setup.py author mentioned 'BSD-derived' in license section.

[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-pyramid-mako-1.0a2-1.fc20.noarch.rpm
          python-pyramid-mako-1.0a2-1.fc20.src.rpm
python-pyramid-mako.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
python-pyramid-mako.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyramid-mako/docs/.static
python-pyramid-mako.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyramid-mako/docs/.static
python-pyramid-mako.src: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Need to remove hidden files.


Rpmlint (installed packages)
----------------------------
# rpmlint python-pyramid-mako
python-pyramid-mako.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
python-pyramid-mako.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyramid-mako/docs/.static
python-pyramid-mako.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyramid-mako/docs/.static
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-pyramid-mako (rpmlib, GLIBC filtered):
    python(abi)
    python-mako
    python-pyramid



Provides
--------
python-pyramid-mako:
    python-pyramid-mako



Source checksums
----------------
http://pypi.python.org/packages/source/p/pyramid_mako/pyramid_mako-1.0a2.tar.gz :
  CHECKSUM(SHA256) this package     : af41fee0439552b6432e4423ff56d6cb75136fd4b0394736ee10010008eed750
  CHECKSUM(SHA256) upstream package : af41fee0439552b6432e4423ff56d6cb75136fd4b0394736ee10010008eed750


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1078315
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api

Comment 3 Praveen Kumar 2014-03-20 15:03:30 UTC
Licence issue resolved (Seems like it's modified variant of BSD)
Hidden file issue need to resolve before scm.

==================== APPROVE ============================

Comment 4 Ralph Bean 2014-03-20 15:06:55 UTC
New Package SCM Request
=======================
Package Name: python-pyramid-mako
Short Description: Mako template bindings for the Pyramid web framework
Owners: ralph
Branches: f20 f19 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-03-20 15:46:31 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-03-20 17:16:57 UTC
python-pyramid-mako-1.0a2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pyramid-mako-1.0a2-2.fc20

Comment 7 Fedora Update System 2014-03-20 17:17:11 UTC
python-pyramid-mako-1.0a2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-pyramid-mako-1.0a2-2.fc19

Comment 8 Fedora Update System 2014-03-20 17:17:24 UTC
python-pyramid-mako-1.0a2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyramid-mako-1.0a2-2.el6

Comment 9 Fedora Update System 2014-04-09 00:52:34 UTC
python-pyramid-mako-1.0a2-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-04-09 00:55:47 UTC
python-pyramid-mako-1.0a2-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-04-09 05:25:34 UTC
python-pyramid-mako-1.0a2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Ralph Bean 2014-10-13 16:46:49 UTC
Package Change Request
======================
Package Name: python-pyramid-mako
New Branches: epel7
Owners: ralph

Comment 13 Kevin Fenzi 2014-10-13 23:11:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.